Index: /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/README
===================================================================
--- /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/README	(revision 2200)
+++ /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/README	(revision 2200)
@@ -0,0 +1,2 @@
+To use these idl tools you need to download some cliatogies and mask files;
+that you can find here: http://dodsp.idris.fr/reee512/NEMO_OUT/ORCA2_LIM/
Index: /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/fig_ht_fromQ.pro
===================================================================
--- /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/fig_ht_fromQ.pro	(revision 2200)
+++ /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/fig_ht_fromQ.pro	(revision 2200)
@@ -0,0 +1,86 @@
+pro fig_ht_fromQ,  Q1, Q2, sEXP1, sEXP2, start_end, POSTSCRIPT = postscript, MASK_FILENAME = mask_filename, _extra = ex
+  
+  compile_opt idl2, strictarrsubs
+
+@common
+
+  tmask_save = tmask  
+                                ; suppress 1/2 north ligne dans TMASK
+  tmask[jpi/2:jpi-1,jpj-1,0] = 0b ; 0 byte
+
+  Qave1 = moyenne(Q1,'xy') 
+  Qave2 = moyenne(Q2,'xy')
+
+  Qnet1 = Q1 - Qave1
+  Qnet2 = Q2 - Qave2
+
+  index=where(gphit eq max(gphit))
+  nx=index[0] mod jpi
+  gphi_save=gphit
+  gphit[0,*]=gphit[nx,*]
+                                ; 
+  msk = read_ncdf( 'atlmsk_nomed', filename = mask_filename, _extra = ex)
+  
+                                ; from 2D array to 3D array 
+  msk = msk.arr[*]#replicate(1., nzt)
+  
+                                ; x average (zonal mean)
+                                ; *1.E-15 to have PetaWatt
+  Q1x = moyenne(Qnet1*e2t,'x',/integration)*1.E-15
+  Q2x = moyenne(Qnet2*e2t,'x',/integration)*1.E-15
+  Q1x_atl = moyenne(Qnet1*e2t*msk,'x',/integration)*1.E-15
+  Q2x_atl = moyenne(Qnet2*e2t*msk,'x',/integration)*1.E-15
+                                ; northward heat flux transport from antartic  
+  htr1 = total(Q1x, /cumulative)
+  htr2 = total(Q2x, /cumulative)
+  htr1_atl = total(reverse(Q1x_atl), /cumulative)
+  htr1_atl = -reverse(htr1_atl)
+  htr2_atl = total(reverse(Q2x_atl), /cumulative)
+  htr2_atl = -reverse(htr2_atl)
+
+  bad_gphit = where(gphit[0,*] lt -30.)
+  htr1_atl[bad_gphit] = !Values.F_NaN   ; we take from values north till 30° South
+  htr2_atl[bad_gphit] = !Values.F_NaN   ; we take from values north till 30° South
+
+  if KEYWORD_SET(POSTSCRIPT) then begin
+     openps, '004_MHT_'+sEXP1+'-'+sEXP2+'_y'+start_end+ '.ps', /landscape
+  endif
+  
+; update data informations
+  varname = 'MHT'
+  varunit = 'Pw'
+  vargrid = 'T' 
+
+  ibce1 = STRTRIM(Qave1, 1)
+  ibce2 = STRTRIM(Qave2, 1)
+
+  title = sEXP1+' (Red) MHT (PetaW) - (Blue) Atlantic MHT (PetaW) / year '+start_end
+  subtitle = sEXP1+' (Qnet='+ibce1+' W/m2) -  (Qnet='+ibce2+' W/m2)'
+
+  plt1d, htr1,'y',min = -2., max = 2.5, TITLE=title, SUBTITLE = subtitle $ 
+        , SMALL = [2,2,1], YTITLE = 'PW',  XGRIDSTYLE = 2, TICKLEN = 1, YGRIDSTYLE = 2,  _extra = ex   
+  plt1d, htr1_atl,'y', COLOR = 50, /ov1d,  _extra = ex
+
+ if sEXP1 ne sEXP2 then begin
+  
+  title = sEXP1+' - '+sEXP2+' MHT (TeraW) differences / year '+start_end
+  plt1d, (htr1-htr2)*1.e3,'y',min = 0., max = 500., TITLE = title $
+         , SMALL = [2,2,3], TICKLEN = 1, XGRIDSTYLE = 2 $
+         , YTITLE = 'PW', YGRIDSTYLE = 2,   /NOERASE, _extra = ex
+  plt1d, (htr1_atl - htr2_atl),'y', COLOR = 50, /ov1d,  _extra = ex
+ 
+ endif 
+
+  title = 'Qnet'
+  text = [   title, '<img width="80%" src=/Users/sflod/TOOLS/my_IDL/PS/v32colib_v32colib/ps/004_MHT_'+sEXP1+'-'+sEXP2+'_y'+start_end+ '.png  />  ' ]
+  putfile, '/tmp/prova.txt', text
+
+  if KEYWORD_SET(POSTSCRIPT) then begin
+     closeps
+  endif
+  
+  tmask=tmask_save
+  gphit=gphi_save
+  
+  return
+end
Index: /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/getname.pro
===================================================================
--- /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/getname.pro	(revision 2200)
+++ /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/getname.pro	(revision 2200)
@@ -0,0 +1,26 @@
+function getname,dir,exp,freq,suff,date
+  
+ file_list = file_search (dir+'/'+exp+'_*_*_'+freq+'_'+suff+'.nc', count = nb_file )
+  
+ file_list = file_basename( file_list )
+
+ filename = ''
+ i = 0
+
+ while  i lt nb_file  and filename eq '' do begin
+  
+    split_name = STRSPLIT(file_list[i],'_',/EXTRACT ) 
+    date1 = long(split_name[1])
+    date2 = long(split_name[2])
+
+
+    if date1 - date le 0 and  date - date2 le 0 then filename = dir+'/'+file_list[i]
+    i = i + 1
+    
+ endwhile 
+
+ if filename eq '' then print,'filename does NOT FOUND' 
+
+ return,filename
+
+end
Index: /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/plt_bsf.pro
===================================================================
--- /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/plt_bsf.pro	(revision 2200)
+++ /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/plt_bsf.pro	(revision 2200)
@@ -0,0 +1,41 @@
+pro plt_bsf, U1, U2, sEXP1, sEXP2, start_end, POSTSCRIPT = postscript, _extra = ex
+
+  compile_opt idl2, strictarrsubs
+
+  @common
+
+  if KEYWORD_SET(POSTSCRIPT) then begin
+     openps, '005_bsf_'+sEXP1+'_'+sEXP2+'_y'+start_end+'.ps',  portrait = 1
+  endif
+  domdef, 0, 6000
+
+
+  bb1 = bsf(U1.arr, refvalue = 0., refpoint = [25, 0] )
+  bb2 = bsf(U2.arr, refvalue = 0., refpoint = [25, 0])
+ 
+
+  title = sEXP1+' Barotropic Stream Function'+' / year '+start_end
+  plt, bb1, min =-200., max = 200., int = 10.,/portrait, FORMAT = '(I4)', STYLE= 'so0so' $
+       , small = [1,2,1], COAST_THICK = 2, TITLE = title,  _extra = ex
+
+
+  if sEXP1 ne sEXP2 then begin
+
+     title = sEXP1+' - '+sEXP2+' Barotropic Stream Function'+' / year '+start_end
+     plt, bb1.arr - bb2.arr , min = -20., max = 20., int = 2.,  FORMAT = '(I2)', STYLE= 'so0so' $
+          , small = [1,2,2], COAST_THICK = 2, TITLE = title, /NOERASE, _extra = ex
+   
+  endif
+  
+  title = 'Barotropic Stream Function'
+  text = [   title, '<img width="80%" src=/Users/sflod/TOOLS/my_IDL/PS/v32colib_v32colib/ps/005_bsf_'+sEXP1+'_'+sEXP2+'_y'+start_end+'.png  />  ' ]
+  putfile, '/tmp/prova.txt', text
+
+  if KEYWORD_SET(POSTSCRIPT) then begin
+     closeps
+  endif
+
+
+  return
+end
+
Index: /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/plt_msf.pro
===================================================================
--- /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/plt_msf.pro	(revision 2200)
+++ /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/plt_msf.pro	(revision 2200)
@@ -0,0 +1,66 @@
+pro plt_msf, V1, V2, sEXP1, sEXP2, start_end, POSTSCRIPT = postscript, SUBBASIN = subbasin, MASK_FILENAME = mask_filename,_extra = ex
+
+  compile_opt idl2, strictarrsubs
+
+  @common
+
+  if KEYWORD_SET(SUBBASIN) then subname = subbasin 
+
+
+  if KEYWORD_SET(POSTSCRIPT) then begin
+     openps, '019_msf_'+subname+'_'+sEXP1+'_'+sEXP2+'_y'+start_end+'.ps',  portrait = 1
+  endif
+
+  if KEYWORD_SET(SUBBASIN) then begin
+     
+     CASE 1 of 
+        subbasin eq 'Atl' : var = 'atlmsk_nomed'
+        subbasin eq 'Ind' : var = 'indmsk'
+        subbasin eq 'Pac' : var = 'indpacmsk'
+        subbasin eq 'Glo' : var = 'glomsk_nomed'
+     ENDCASE
+                                ;
+     msk = read_ncdf( var, filename = mask_filename, /nostruct, _extra = ex )
+
+  endif else msk = tmask[*,*,0]
+;
+
+  
+  CASE subname OF
+     'Glo':lat_ext=[-80,90]
+     'Atl':lat_ext=[-30,90]
+     'Ind':lat_ext=[-30,30]
+     'Pac':lat_ext=[-30,70]
+     
+  ENDCASE
+
+ if subbasin eq 'Pac' then subname = "IndoPac"
+  
+  domdef, 0, 6000
+
+  mm1 = msf(V1.arr, msk, indexboxzoom = ind, maskout = ma)
+  mm2 = msf(V2.arr, msk, indexboxzoom = ind, maskout = ma)
+  title=sEXP1+' Meridional Stream Function '+subname+'/ year '+start_end
+  pltz, mm1, -20., 20., int = 1., boxzoom = [ind[0:1],lat_ext, 0, 5500], /xindex  , FORMAT = '(I3)' $
+        , small=[1,2,1], COAST_THICK=2 , zoom = 5500, maskdta = ma, /no_partial, TITLE = title, style = 'so0so'
+
+  if sEXP1 ne sEXP2 then begin
+     
+     title=sEXP1+' - '+sEXP2+subname+'/ year '+start_end
+     pltz, mm1.arr-mm2.arr, -10., 10., int = 1., boxzoom = [ind[0:1],lat_ext, 0, 5500], /xindex,  FORMAT = '(I3)'  $
+           , small=[1,2,2], COAST_THICK=2, zoom = 5500, maskdta = ma, /no_partial, TITLE = title, /NOERASE, style = 'so0so'
+     
+  endif
+  
+  title = + subname+ 'Meridional Stream Function'
+  text = [   title, '<img width="80%" src=/Users/sflod/TOOLS/my_IDL/PS/v32colib_v32colib/ps/019_msf_'+subname+'_'+sEXP1+'_'+sEXP2+'_y'+start_end+'.png  />  ' ]
+  putfile, '/tmp/prova.txt', text
+
+  if KEYWORD_SET(POSTSCRIPT) then begin
+     closeps
+  endif
+
+
+  return
+end
+
Index: /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/std_com.pro
===================================================================
--- /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/std_com.pro	(revision 2200)
+++ /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/std_com.pro	(revision 2200)
@@ -0,0 +1,5 @@
+;COMMON STD_VAR, std_EXP1, std_EXP2, std_YEAR, std_iodir_data
+;COMMON STD_FIL1, std_file1_T, std_file1_U, std_file1_V, std_file1_W, std_file1_I
+;COMMON STD_FIL2, std_file2_T, std_file2_U, std_file2_V, std_file2_W, std_file2_I
+;COMMON STD_LEVITUS, std_file_Levitus_T, std_file_Levitus_S
+
Index: /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/std_plots.pro
===================================================================
--- /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/std_plots.pro	(revision 2200)
+++ /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/std_plots.pro	(revision 2200)
@@ -0,0 +1,375 @@
+pro std_plots, std_EXP1, std_EXP2, ystart, _extra=ex
+
+
+PRINT, 'usage: postscript '
+PRINT, '========================================================================'
+PRINT, 'std_plots, ''std_EXP1'', ''std_EXP2'', ystart, /postscript'
+PRINT, '========================================================================'
+PRINT, 'std_plots, ''core2000'', ''core2000'', 1991, /postscript'
+PRINT, '========================================================================'
+
+
+  compile_opt idl2, strictarrsubs
+
+  PRINT, ''
+  PRINT, ' 	############################################'
+  PRINT, ''
+  PRINT, '                    LAUNCH of std_plots'
+  PRINT, ''
+  PRINT, ' 	############################################'
+  PRINT, ''
+
+
+@common
+@initorca2
+@std_com
+
+  year_start = ystart * 10000L + 101L                                                 ; year of start (corresponding to filename)
+  year_end = (ystart + 9L) * 10000L + 1231L                                           ; year of end (corresponding to filename)
+  start_end = string(year_start,format= '(I08)')+'_'+string(year_end,format ='(I08)') ; variable string for filename
+;;;;; ======================CHANGE PATH================================================================= ;;;;;;;;;;
+  std_iodir_data    = '/path_of_data_in_NetCdf_format/'        			      ; path of data in NetCdf format
+  std_iodir_climato = '/path_of_climatological_data/' 	                              ; path of climatological data
+  std_iodir_mask    = '/path_of_mask_files/'	                                      ; path of mask files (ex: subbasins)
+;;;;; ======================END CHANGE PATH================================================================= ;;;;;;;;;;
+
+  
+;;;;; ==================================================== WARNING ================================================================= ;;;;;;;;;;
+  d1 = (ystart + 9L) * 10000L + 101L ;  date to select last record of file with 10 years of record
+  d2 = year_end  ; date to select last record of file with 10 years of record
+  id1 = (ystart + 9L) * 10000L + 1201L ; date to select starting date for (monthly) ice output 
+  id2 = d2 ; date to select last record for (monthly) ice output
+  id_mars_1 = (ystart + 9L) * 10000L + 301L ; date to select mars ice output 
+  id_mars_2 = (ystart + 9L) * 10000L + 331L  ; date to select mars ice output
+  id_sept_1 = (ystart + 9L) * 10000L + 901L ; date to select september ice output 
+  id_sept_2 = (ystart + 9L) * 10000L + 930L ; date to select september ice output
+;
+; Levitus 98
+  std_file_Levitus_T =  'data_1y_potential_temperature_nomask.nc'
+  std_file_Levitus_S =  'data_1y_salinity_nomask.nc'
+
+; Output run experience1
+  std_file1_T     = std_EXP1+'_'+start_end+'_1Y_grid_T.nc' ; grid T input file
+  std_file1_U     = std_EXP1+'_'+start_end+'_1Y_grid_U.nc' ; grid U input file
+  std_file1_V     = std_EXP1+'_'+start_end+'_1Y_grid_V.nc' ; grid V input file
+;  std_file1_W    = std_EXP1+'_'+start_end+'_1Y_grid_W.nc' ; grid W input file
+  std_file1_I     = std_EXP1+'_'+start_end+'_1M_icemod.nc' ; ice    input file
+  
+; Output run experience2
+  std_file2_T     = std_EXP2+'_'+start_end+'_1Y_grid_T.nc' ; grid T input file
+  std_file2_U     = std_EXP2+'_'+start_end+'_1Y_grid_U.nc' ; grid U input file
+  std_file2_V     = std_EXP2+'_'+start_end+'_1Y_grid_V.nc' ; grid V input file
+;  std_file2_W    = std_EXP2+'_'+start_end+'_1Y_grid_W.nc' ; grid W
+  std_file2_I     = std_EXP2+'_'+start_end+'_1M_icemod.nc' ; ice    input file
+
+
+  PRINT, ''
+  PRINT, '	std_EXP1       : ', std_EXP1
+  PRINT, '	std_EXP2       : ', std_EXP2
+  PRINT, '	std_iodir_data : ', std_iodir_data 
+  PRINT, '	std_file1T : ', std_file1_T
+  PRINT, '	std_file1U : ', std_file1_U
+  PRINT, '	std_file1V : ', std_file1_V
+;  PRINT, '	std_file1W : ', std_file1_W
+  PRINT, '	std_file2I : ', std_file1_I
+  PRINT, '	std_file2T : ', std_file2_T
+  PRINT, '	std_file2U : ', std_file2_U
+  PRINT, '	std_file2V : ', std_file2_V
+;  PRINT, '	std_file2W : ', std_file2_W
+  PRINT, '	std_file2I : ', std_file2_I
+  PRINT, ''
+
+;#########################################################################
+; reading variables
+
+;;; 3D ;;;
+; temperature
+  T1   = read_ncdf('thetao', d1, d2, filename = std_iodir_data+std_file1_T                          ) 
+  T2   = read_ncdf('thetao', d1, d2, filename = std_iodir_data+std_file2_T                          ) 
+  TLev = read_ncdf('votemper', filename = std_iodir_climato+std_file_Levitus_T                ) 
+  TRey = read_ncdf('sst'     , filename = std_iodir_climato+'NewREY_ORCA2_1991_2000_1y.nc'    ) 
+
+;help,T1,T2,TLev,TRey
+
+; salinity
+  S1   = read_ncdf('so', d1, d2, filename = std_iodir_data+std_file1_T             ) 
+  S2   = read_ncdf('so', d1, d2, filename = std_iodir_data+std_file2_T             ) 
+  SLev = read_ncdf('vosaline', filename = std_iodir_climato+std_file_Levitus_S     ) 
+
+; Net Downward heat flux
+  Q1   = read_ncdf('qns+qsr', d1, d2, filename = std_iodir_data+std_file1_T           ) 
+  Q2   = read_ncdf('qns+qsr', d1, d2, filename = std_iodir_data+std_file2_T           )
+  geo  = read_ncdf('heatflow', filename=  std_iodir_climato+'geothermal_heating.nc'   )
+  geo  = geo.arr*1.e-3      ; convert into W/m2
+;climatology 
+  QNET  = read_ncdf('qnet', filename = std_iodir_climato+'OAFlux_1my_01_12_1984_2004_orca2_qnet.nc'   )
+
+; erp (evaporation damping)
+  ERP1   = read_ncdf('wfcorr', d1, d2, filename = std_iodir_data+std_file1_T  )
+  ERP2   = read_ncdf('wfcorr', d1, d2, filename = std_iodir_data+std_file2_T  )
+  ERP1   = ERP1.arr * 86400
+  ERP2   = ERP2.arr * 86400
+
+; emp (evaporation minus precipitation)
+  EMP1   = read_ncdf('wfo', d1, d2, filename = std_iodir_data+std_file1_T     )
+  EMP2   = read_ncdf('wfo', d1, d2, filename = std_iodir_data+std_file2_T     )
+  EMP1   = EMP1.arr * 86400
+  EMP2   = EMP2.arr * 86400
+
+ 
+;mixed layer depth
+  MXL1 = read_ncdf('mldr10_1', d1, d2, filename = std_iodir_data+std_file1_T         )  ; 10 m
+  MXL2 = read_ncdf('mldr10_1', d1, d2, filename = std_iodir_data+std_file2_T         )  ; 10 m
+;climatology 
+  MLD  = read_ncdf('mld', filename = std_iodir_climato+'mld_DR003_c1m_ORCA2_1y.nc'   )
+
+; current
+  U1   = read_ncdf('uoce_eff', d1, d2, filename = std_iodir_data+std_file1_U         )
+  U2   = read_ncdf('uoce_eff', d1, d2, filename = std_iodir_data+std_file2_U         )
+
+; Take into account the Gent & McWilliams "Eddy Induced velocity"
+  V1   = read_ncdf('voce_eff', d1, d2, filename = std_iodir_data+std_file1_V         )
+  V2   = read_ncdf('voce_eff', d1, d2, filename = std_iodir_data+std_file2_V         )
+
+; ice
+  Ithi_mars_1   = read_ncdf('sit', id_mars_1, id_mars_2, filename = std_iodir_data+std_file1_I ) 
+  Ithi_mars_2   = read_ncdf('sit', id_mars_1, id_mars_2, filename = std_iodir_data+std_file2_I )
+
+  Ithi_sept_1   = read_ncdf('sit', id_sept_1, id_sept_2, filename = std_iodir_data+std_file1_I ) 
+  Ithi_sept_2   = read_ncdf('sit', id_sept_1, id_sept_2, filename = std_iodir_data+std_file2_I )
+
+  Ifra_mars_1   = read_ncdf('sic', id_mars_1, id_mars_2, filename = std_iodir_data+std_file1_I )
+  Ifra_mars_2   = read_ncdf('sic', id_mars_1, id_mars_2, filename = std_iodir_data+std_file2_I )
+
+  Ifra_sept_1   = read_ncdf('sic', id_sept_1, id_sept_2, filename = std_iodir_data+std_file1_I )
+  Ifra_sept_2   = read_ncdf('sic', id_sept_1, id_sept_2, filename = std_iodir_data+std_file2_I )
+
+ 
+;#########################################################################
+
+;#########################################################################
+;######################  STANDARD PLOTS   ################################
+;#########################################################################
+
+; fixed color tabled
+  lct,64
+
+  PRINT, '  ' 
+  PRINT, '				Experience treated:', std_EXP1
+  PRINT, '  ' 
+  PRINT, '  ' 
+  PRINT, '  ' 
+
+       ;;;;;;;; ErP & Emp salinity damping term
+       ;;;;;;;; =============================================
+  PRINT, '============================================= '
+  PRINT, ' PLOTS 2D '
+  PRINT, '============================================= '
+  PRINT, '                                ErP salinity damping term'
+  PRINT, '1'
+  xxx_Erp, ERP1, ERP2, std_EXP1, std_EXP2, start_end, _extra = ex
+  PRINT, '2'
+  xxx_Emp, EMP1, EMP2, std_EXP1, std_EXP2, start_end, _extra = ex
+ 
+       ;;;;; Net heat flux
+        ;;;;; =============
+  PRINT, ' '
+  PRINT, '                               Net heat flux'
+  PRINT, '3 '
+  xxx_Qnet, Q1, Q2, QNET, std_EXP1, std_EXP2, start_end, _extra = ex
+
+       ;;; Meridionnal Heat Transport
+        ;;; ===========================
+  PRINT, ' '
+  PRINT, '                               Meridionnal Heat Transport'
+  PRINT, '4 '
+  fig_ht_fromQ, Q1.arr+geo, Q2.arr+geo, std_EXP1, std_EXP2, start_end, MASK_FILENAME = std_iodir_mask+'subbasins_orca21_nored.nc', _extra = ex
+
+        ;;; Global Barotropic Function
+        ;;; ===========================
+  PRINT, ' '
+  PRINT, ' 				Global Barotropic Function ' 
+  PRINT, '5 '
+  plt_bsf, U1, U2, std_EXP1, std_EXP2, start_end, _extra=ex
+
+  ;; mean Temperature diff with New Reynolds
+  ;; =======================================
+  PRINT, ' '
+  PRINT, ' 				mean Temperature diff with New Reynolds'
+  PRINT, '6 '
+  xxx_SST, T1[*,*,0], T2[*,*,0], TRey, std_EXP1, std_EXP2, start_end, _extra=ex
+
+
+        ;;;; mean Salinity diff with Levitus
+        ;;;; ===============================
+  PRINT, ' '
+  PRINT, '                               mean Salinity diff with Levitus'
+  PRINT, '7 '
+  xxx_SSS, S1[*,*,0], S2[*,*,0], SLev[*,*,0], std_EXP1, std_EXP2, start_end, _extra=ex
+
+      ;;;;;;; Arctic mean Salinity diff with Levitus at z=105 meters
+        ;;;;;;; ======================================================
+  PRINT, ' '
+  PRINT, '                               Arctic mean Salinity diff with Levitus at z=105 meters'
+  PRINT, '8 exp1-levitus'
+  xxx_EXP1_S_ARC_z105, S1, SLev, std_EXP1, std_EXP2, start_end, _extra = ex       
+  PRINT, '9 exp2-levitus'
+  xxx_EXP2_S_ARC_z105, S1, S2, SLev, std_EXP1, std_EXP2, start_end, _extra = ex
+
+
+        ;;;;;;;; mean Temperature diff with Levitus at z=105 meters
+        ;;;;;;;; ==================================================
+  PRINT, ' '
+  PRINT, '                               mean Temperature diff with Levitus at z=105 meters'
+  PRINT, '10'
+  xxx_T_z105, T1, T2, TRey, std_EXP1, std_EXP2, start_end, _extra=ex
+                              
+
+        ;;;;;;;; mean Salinity diff with Levitus at z=105 meters
+        ;;;;;;;; ==================================================
+  PRINT, ' '
+  PRINT, '                               mean Salinity diff with Levitus at z=105 meters'
+  PRINT, '11'
+  xxx_S_z105, S1, S2, SLev, std_EXP1, std_EXP2, start_end, _extra=ex
+                            
+
+  PRINT, '============================================= '
+  PRINT, ' PLOTS 3D '
+  PRINT, '============================================= '
+ 
+  PRINT, '                         Mixed layer depth'
+  PRINT, '12 '
+  xxx_mxl10, MXL1, MXL2, MLD, std_EXP1, std_EXP2, start_end,  _extra = ex
+  PRINT, '13'
+  xxx_ZonMxl, MXL1, MXL2, MLD, std_EXP1, std_EXP2, start_end, _extra = ex
+ 
+
+        ;;;;;;;;; Zonal mean Temperature diff with Levitus
+        ;;;;;;;;; ========================================
+  PRINT, ' '
+  PRINT, '                               Zonal mean Temperature diff with Levitus'
+  PRINT, '14 '
+  xxx_zonal_T, T1, T2, TLev, std_EXP1, std_EXP2, start_end, MASK_FILENAME = std_iodir_mask+'subbasins_orca21_nored.nc', _extra = ex
+
+  PRINT, '14 '                      
+  xxx_zonal_T, T1, T2, TLev, std_EXP1, std_EXP2, start_end, SUBBASIN = 'Atl', MASK_FILENAME = std_iodir_mask+'subbasins_orca21_nored.nc', _extra = ex
+  
+  PRINT, '14 '
+  xxx_zonal_T, T1, T2, TLev, std_EXP1, std_EXP2, start_end, SUBBASIN = 'Ind', MASK_FILENAME = std_iodir_mask+'subbasins_orca21_nored.nc', _extra = ex
+  
+  PRINT, '14 '
+  xxx_zonal_T, T1, T2, TLev, std_EXP1, std_EXP2, start_end, SUBBASIN = 'Pac', MASK_FILENAME = std_iodir_mask+'subbasins_orca21_nored.nc', _extra = ex
+ 
+
+        ;;;;;;;;;; Zonal mean Salinity diff with Levitus
+        ;;;;;;;;;; ========================================
+  PRINT, ' '
+  PRINT, '                               Zonal mean Salinity diff with Levitus'
+  PRINT, '15 '
+  xxx_zonal_S, S1, S2, SLev, std_EXP1, std_EXP2, start_end, MASK_FILENAME = std_iodir_mask+'subbasins_orca21_nored.nc', _extra = ex
+                               
+  PRINT, '15 '
+  xxx_zonal_S, S1, S2, SLev, std_EXP1, std_EXP2, start_end, SUBBASIN = 'Atl', MASK_FILENAME = std_iodir_mask+'subbasins_orca21_nored.nc', _extra = ex
+                              
+  PRINT, '15'
+  xxx_zonal_S, S1, S2, SLev, std_EXP1, std_EXP2, start_end, SUBBASIN = 'Ind', MASK_FILENAME = std_iodir_mask+'subbasins_orca21_nored.nc', _extra = ex 
+
+  PRINT, '15 '
+  xxx_zonal_S, S1, S2, SLev, std_EXP1, std_EXP2, start_end, SUBBASIN = 'Pac', MASK_FILENAME = std_iodir_mask+'subbasins_orca21_nored.nc', _extra = ex 
+  
+        ;;;;;;; Seasonal & Annual mean Arctic/Antarctic Ice Thickness & Ice Concentration
+        ;;;;;; ==========================================================================
+  PRINT, ' '
+  PRINT, '                               Arctic/Antarctic Ice Thickness'
+  PRINT, ' 16'
+  xxx_ARC_Icethick_MARS, Ithi_mars_1, Ithi_mars_2, std_EXP1, std_EXP2, start_end, _extra = ex
+ 
+  PRINT, ' 16'
+  xxx_ARC_Icethick_SEPT, Ithi_sept_1, Ithi_sept_2, std_EXP1, std_EXP2, start_end, _extra = ex
+ 
+  PRINT, ' 17'
+  xxx_ANT_Icethick_MARS, Ithi_mars_1, Ithi_mars_2, std_EXP1, std_EXP2, start_end, _extra = ex
+
+  PRINT, ' 17'
+  xxx_ANT_Icethick_SEPT, Ithi_sept_1, Ithi_sept_2, std_EXP1, std_EXP2, start_end, _extra = ex
+
+  PRINT, '                               Arctic/Antarctic Ice Concentration (area of sea-ice per grid cell area'
+  PRINT, ' 18'
+  xxx_Iceleadfrac_MARS, Ifra_mars_1, Ifra_mars_2, std_EXP1, std_EXP2, start_end, _extra = ex
+
+  PRINT, ' 18'
+  xxx_Iceleadfrac_SEPT, Ifra_sept_1, Ifra_sept_2, std_EXP1, std_EXP2, start_end, _extra = ex
+
+                       
+        ;;; Global and Atlantic Meridional Function
+        ;;; =======================================
+  PRINT, ' '
+  PRINT, ' 				Global and Atlantic Meridional Function'
+  PRINT, '19 '
+  plt_msf, V1, V2, std_EXP1, std_EXP2, start_end, SUBBASIN = 'Glo', MASK_FILENAME = std_iodir_mask+'subbasins_orca21_nored.nc', _extra = ex
+  PRINT, '19 '
+  plt_msf, V1, V2, std_EXP1, std_EXP2, start_end, SUBBASIN = 'Atl', MASK_FILENAME = std_iodir_mask+'subbasins_orca21_nored.nc', _extra = ex
+  PRINT, '19 '
+  plt_msf, V1, V2, std_EXP1, std_EXP2, start_end, SUBBASIN = 'Ind', MASK_FILENAME = std_iodir_mask+'subbasins_orca21_nored.nc', _extra = ex
+  PRINT, '19 '
+  plt_msf, V1, V2, std_EXP1, std_EXP2, start_end, SUBBASIN = 'Pac', MASK_FILENAME = std_iodir_mask+'subbasins_orca21_nored.nc', _extra = ex
+
+
+  PRINT, '============================================= '
+  PRINT, ' Local PLOTS '
+  PRINT, '============================================= '
+
+        ;;;;;;;;; Equatorial Temperature 
+        ;;;;;;;;; ======================
+  PRINT, ' '
+  PRINT, '                               Equatorial Temperature'
+  PRINT, ' '
+  PRINT, '20 '
+  xxx_Eq_T, T1, T2, Tlev, std_EXP1, std_EXP2, start_end, _extra = ex
+
+        ;;;;;;;; Equatorial Salinity 
+        ;;;;;;;; ===================
+  PRINT, ' '
+  PRINT, '                               Equatorial Salinity'
+  PRINT, '21'
+  xxx_Eq_S, S1, S2, SLev, std_EXP1, std_EXP2, start_end, _extra = ex
+
+        ;;; Equatorial zonal velocity
+        ;;; =========================
+  PRINT, ' '
+  PRINT, '                               Equatorial zonal velocity'
+  PRINT, '22 '
+  xxx_Eq_U, U1, U2, std_EXP1, std_EXP2, start_end, _extra = ex
+  
+       ;;;;;;;;;;;; Mediterranean salt tongue 
+       ;;;;;;;;;;;; =============================================== 
+  
+  PRINT, ' '
+  PRINT, '                               Mediterranean salt tongue at depth=700 and lat 40°N'
+  PRINT, '23'
+  xxx_Med_S_tongue, S1, S2, SLev, std_EXP1, std_EXP2, start_end, DEPTH = 700,  LAT = 40, _extra = ex
+  ;
+  PRINT, '                               Mediterranean salt tongue at depth=1000 and lat 38°N'
+  PRINT, '23'
+  xxx_Med_S_tongue, S1, S2, SLev, std_EXP1, std_EXP2, start_end, DEPTH = 1000, LAT = 38, _extra = ex
+
+        ;;;;;;;;; Mediterranean 
+        ;;;;;;;;; ===============================================
+  PRINT, ' '
+  PRINT, '                               Mediterranean water at 38°N'
+  PRINT, '24'
+  xxx_Med_S_depth, S1, S2, SLev, std_EXP1, std_EXP2, start_end, DEPTH = 1000, LAT = 38, _extra = ex
+  PRINT, '                               Mediterranean water at 38°N'
+  PRINT, '24 '
+  xxx_Med_S_depth, S1, S2, SLev, std_EXP1, std_EXP2, start_end, DEPTH = 700,  LAT = 40, _extra = ex
+
+        ;;;;;;;;;;; Vertical Global mean T & S
+        ;;;;;;;;;;; ===========================
+  PRINT, ' '
+  PRINT, '                                Vertical Global mean T & S'
+  PRINT, '25 '
+  xxx_TS_ZGlobm, T1, T2, TLev, S1, S2, SLev, std_EXP1, std_EXP2, start_end, _extra = ex
+
+ 
+  return
+END
